<%  
    ' We use this function to escape DB strings. The code required is
    ' shorter that way (compared to using the ADO's features in some places)
    Function dbEsc(str)
        dbEsc = Replace(str,"'","''")
    End Function

    Set db = Server.CreateObject("ADODB.Connection")
    db.Open "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" & Server.MapPath("labels.mdb") & ";"
    
    If Request("DeleteID") <> "" Then
        db.Execute "DELETE FROM Images WHERE LabelID=" & Request("DeleteID")
        db.Execute "DELETE FROM Labels WHERE LabelID=" & Request("DeleteID")
    End If
    
    Dim rlabel
    Dim labelID, Page, PageSize, CurRec
    labelID = 0
    Page = 1
    PageSize = 10
    If Request("Page") <> "" Then Page = CLng(Request("Page"))


%>

<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<link REL="stylesheet" HREF="styles.css">
<title>Labels list</title>
<!-- 
    The code here is used to show a preview of the labels.
    Note that we handle the OnDownloadCompleted event in order
    to disable all the editing features when the label is loaded.
-->
<SCRIPT>
    function ShowPreview(labelID) {
        VisiLabel.Src = "label.asp?LabelID=" + labelID;
    }
</SCRIPT>
<SCRIPT FOR="VisiLabel" EVENT="OnDownloadCompleted(el,success)">
    if (el == -1) {
        VisiLabel.Edit.EditMode = false;
        VisiLabel.Edit.ShowRulers = false;
        VisiLabel.Edit.ShowScrollbars = true;
        VisiLabel.Edit.Zoom = 50;
    }
</SCRIPT>
</head>

<body bgcolor="#FFFFFF" topmargin="0" leftmargin="0">
<A HREF="default.asp">Home</A>
<HR>
<A HREF="edit.asp">New Label</A>
<HR>
<TABLE BORDER="0">
<TR>
    <TD ALIGN="LEFT" VALIGN="TOP" WIDTH="60%">
        <TABLE BORDER="0" CELLSPACING="1" CELLPADDING="1" BGCOLOR="#008000">
        <TR>
            <TD BGCOLOR="#E0FF00">Databse ID</TD>
            <TD BGCOLOR="#E0FF00">Label name</TD>
            <TD BGCOLOR="#E0FF00">Modified</TD>
            <TD BGCOLOR="#E0FF00">&nbsp;</TD>
            <TD BGCOLOR="#E0FF00">&nbsp;</TD>
        </TR>
        <%    
            
            
            Set rlabel = Server.CreateObject("ADODB.Recordset")
            rlabel.Open "Labels", db, 1, 3, 2
            If Not rlabel.EOF Then
                rlabel.PageSize = PageSize
                rlabel.AbsolutePage = Page
                CurRec = 0
                While Not rlabel.EOF And CurRec < PageSize
                %><TR>
                    <TD BGCOLOR="#FFFFFF"><%= rlabel("LabelID").Value %></TD>
                    <TD BGCOLOR="#FFFFFF">
                        <A HREF="edit.asp?LabelID=<%= rlabel("LabelID").Value %>">
                        <%= Server.HTMLEncode(rlabel("LabelName").Value) %></A>
                    </TD>
                    <TD BGCOLOR="#FFFFFF"><%= rlabel("DateModified").Value %></TD>
                    <TD BGCOLOR="#FFFFFF">
                        <SPAN STYLE="cursor: hand" onClick="ShowPreview(<%= rlabel("LabelID").Value %>)">
                        Preview</SPAN>
                    </TD>
                    <TD BGCOLOR="#FFFFFF">
                        <A HREF="open.asp?DeleteID=<%= rlabel("LabelID").Value %>">
                        Delete</A>
                    </TD>
                    <%
                    rlabel.MoveNext
                    CurRec = CurRec + 1
                %></TR><%
                Wend
            End If
        %>
        </TABLE>
    </TD>
    <TD VALIGN="TOP" ALIGN="LEFT" WIDTH="40%">
        <!-- 
            We will use this only to preview labels, so we do not need to initialize it 
            Still we are using a couple of commands to make sure some fdeatures are disabled
            and thus avoid misleading the user that this is more than preview.
        -->
        Preview:<BR>
        <object classid="clsid:09A02CEE-410B-47BA-A837-E62C9C8D70BF" 
                id="VisiLabel" width="300" height="200">
                  <param name="CMD0" value="MISC:0,1,2,0,0">
                  <param name="CMD1" value="EDIT:0,0,0,50,1,1">
        </object>
    </TD>
</TR>        
</TABLE>        
<HR>
Page: 
<%    
    For I = 1 To rlabel.PageCount
        If I = Page Then
            %>
            <B><%= I %></B>
            <%
        Else
            %>
            <A HREF="open.asp?Page=<%= I %>"><%= I %></A>
            <%
        End If
    Next
%>
</body>
</html>